body {
  font-family: Arial, sans-serif;
}
.container {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
  gap: 15px;
  padding: 20px;
  margin-left: 20%;
}
.product-card {
  position: relative;
  overflow: hidden;
  height: 300px;
}
.product-card img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: opacity 0.3s ease;
}
.product-card img.hover {
  position: absolute;
  top: 0;
  left: 0;
  opacity: 0;
  transition: 1s;
}
.product-card:hover img.hover {
  opacity: 1;
}
.product-info {
  position: absolute;
  bottom: 10px;
  left: 20%;
  background-color: rgba(0, 0, 0, 0.5);
  color: white;
  padding: 10px;
  border-radius: 5px;
  cursor: pointer;
}
.product-info h4 {
  margin: 0;
}
.product-info p {
  margin: 0;
}
